Добро пожаловать на Pro Pawn - Портал о PAWN-скриптинге.

Реклама


**Как получить V.I.P** (Перейти)
Чтобы заказать рекламу на Pro-Pawn.Ru, обращайтесь в Skype.
Баннерная реклама 200руб/мес, Текстовая 100руб/мес.
Показано с 1 по 3 из 3
  1. #1
    Аватар для Jonick
    Пользователь

    Статус
    Оффлайн
    Регистрация
    26.12.2014
    Сообщений
    7
    Репутация:
    0 ±

    Streamer 2.8.1 выдает ошибку

    Всем привет)
    В логах вылетает ошибка:
    PHP код:
    [14:02:22] *** Streamer PluginCreateDynamicObjectExpecting 13 parameter(s), but found 14 
    Как я понял, указан лишний параметр, но как такое может быть)
    Строка на которую ругается:
    PHP код:
    CreateDynamicObject(1216,-92.8590012,1208.1450195,19.4039993,0.0000000,0.0000000,0.0000000); 
    (сам плагин во время загрузки никаких варнингов/ошибок не выдает)
    из streamer.inc
    PHP код:
    native STREAMER_TAG_OBJECT CreateDynamicObject(modelidFloat:xFloat:yFloat:zFloat:rxFloat:ryFloat:rzworldid = -1interiorid = -1playerid = -1Float:streamdistance STREAMER_OBJECT_SDFloat:drawdistance STREAMER_OBJECT_DDSTREAMER_TAG_AREA areaid STREAMER_TAG_AREA -1priority 0); 
    Полный server_log:
      Открыть/закрыть
    PHP код:
    SA-MP Dedicated Server
    ----------------------
    v0.3.7-R2, (C)2005-2015 SA-MP Team

    [14:10:20filterscripts ""  (string)
    [
    14:10:20
    [
    14:10:20Server Plugins
    [14:10:20] --------------
    [
    14:10:20]  Loading pluginmysql
    [14:10:20]  >> plugin.mysqlR39-5 successfully loaded.
    [
    14:10:20]   Loaded.
    [
    14:10:20]  Loading plugindc_cmd
    [14:10:20]   Daniel's CMD plugin v2.8
    [14:10:20]     (c) 2014 Daniel_Cortez
    [14:10:20]     www.pro-pawn.ru
    [14:10:20]   Loaded.
    [14:10:20]  Loading plugin: sscanf
    [14:10:20] 

    [14:10:20]  ===============================

    [14:10:20]       sscanf plugin loaded.     

    [14:10:20]          Version:  2.8.2        

    [14:10:20]    (c) 2012 Alex "Y_Less" Cole  

    [14:10:20]  ===============================

    [14:10:20]   Loaded.
    [14:10:20]  Loading plugin: jit
    [14:10:20]   JIT plugin v2.0.4 is OK.
    [14:10:20]   Loaded.
    [14:10:20]  Loading plugin: streamer
    [14:10:20] 

    *** Streamer Plugin v2.8 by Incognito loaded ***

    [14:10:20]   Loaded.
    [14:10:20]  Loaded 5 plugins.

    [14:10:20] 
    [14:10:20] Filterscripts
    [14:10:20] ---------------
    [14:10:20]   Loaded 0 filterscripts.

    [14:10:20] Подключение к базе данных прошло успешно!
    [14:10:20] *** Streamer Plugin: CreateDynamicObject: Expecting 13 parameter(s), but found 14
    [14:10:20] Number of vehicle models: 1
    Console input: exit
    [14:10:24] --- Server Shutting Down.
    [14:10:25] plugin.mysql: Unloading plugin...
    [14:10:25] plugin.mysql: Plugin unloaded.
    [14:10:25]   Daniel'
    s CMD plugin got unloaded
    [14:10:25

    [
    14:10:25]  ===============================

    [
    14:10:25]      sscanf plugin unloaded.    

    [
    14:10:25]  ===============================

    [
    14:10:25

    *** 
    Streamer Plugin v2.8 by Incognito unloaded *** 
    Последний раз редактировалось Jonick; 22.05.2016 в 13:11.

  2. #2
    Аватар для Daniel_Cortez
    new fuck_logic[0] = EOS;

    Статус
    Оффлайн
    Регистрация
    06.04.2013
    Адрес
    Novokuznetsk, Russia
    Сообщений
    1,652
    Репутация:
    2144 ±
    Если используете инклуд от плагина версии 2.8.1, то и сам плагин тоже должен быть 2.8.1.
    https://github.com/samp-incognito/sa...ses/tag/v2.8.1
    Индивидуально в PM и Skype по скриптингу не помогаю. Задавайте все свои вопросы здесь (click).
    SA-MP 0.4 is a lie

  3. #3
    Аватар для Jonick
    Пользователь

    Статус
    Оффлайн
    Регистрация
    26.12.2014
    Сообщений
    7
    Репутация:
    0 ±
    Цитата Сообщение от Daniel_Cortez Посмотреть сообщение
    Если используете инклуд от плагина версии 2.8.1, то и сам плагин тоже должен быть 2.8.1.
    https://github.com/samp-incognito/sa...ses/tag/v2.8.1
    Использую плагин который был в архиве 2.8.1.
      Открыть/закрыть


    Используя версию 2.8, все работает, похоже автор засунул плагин от 2.8)
    Последний раз редактировалось Jonick; 22.05.2016 в 15:45.

 

 

Информация о теме

Пользователи, просматривающие эту тему

Эту тему просматривают: 1 (пользователей: 0 , гостей: 1)

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •